%define version 1.0.4
%define release 1

Summary:      ALSA driver C++ access library
Name:         clalsadrv
Version:      %{version}
Release:      %{release}%{?dist}
License:      GPL
Group:        System Environment/Libraries
URL:          http://users.skynet.be/solaris/linuxaudio/
Source0:      %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot

Obsoletes:    alsadrv <= 0.0.2

BuildRequires: gcc-c++ alsa-lib-devel

%description
ALSA driver C++ access library

%package  devel
Summary:  ALSA driver C++ access library
Group:    Development/Libraries
Requires: clalsadrv = %{version}-%{release}

%description devel
ALSA driver C++ access library. This package includes the development
tools.

%prep
%setup -q -n %{name}-%{version}

%build
perl -p -i -e "s|/sbin/ldconfig|# /sbin/ldconfig|g" Makefile
perl -p -i -e "s|PREFIX = /usr|PREFIX = $RPM_BUILD_ROOT/usr|g" Makefile
%ifarch x86_64
perl -p -i -e "s|/lib|/lib64|g" Makefile
%endif

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
make install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Mon Apr 17 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Upgrade to 1.0.4

* Thu Jun 16 2005 Eddy Nigg <eddy_nigg@startcom.org>
- rebuild and update for StartCom Linux 4.0.x

* Sat Oct 23 2004 Eddy Nigg <eddy_nigg@startcom.org>
- rebuild for StartCom Linux
